Skip to main content
`Ctrl`+`K`

# SVDMonitorRegisterCreateFn

A function prototype for functions that do the creation when provided to `SVDMonitorRegister()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode SVDMonitorRegisterCreateFn(PetscViewer viewer,PetscViewerFormat format,void *ctx,PetscViewerAndFormat **result);

## Calling Sequence

- viewer - the viewer to be used with the `SVDMonitorRegisterFn`

- format - the format of the viewer

- ctx - a context for the monitor

- result - a `PetscViewerAndFormat` object

## See Also

SVD: Singular Value Decomposition, `SVDMonitorRegisterFn`, `SVDMonitorSet()`, `SVDMonitorRegister()`, `SVDMonitorFn`, `SVDMonitorRegisterDestroyFn`

## Level

advanced

## Location

include/slepcsvd.h

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages